package aalg.crypto;

import java.math.BigInteger;


/**
 * Private key in discrete logarithm cryptosystems.
 * @author Ing. Petr Ležák
 */
public class DlPrivateKey implements IPrivateKey {
	
	private final BigInteger key;
	
	public DlPrivateKey (final BigInteger key) {
		this.key = key;
	}

	public BigInteger getKey() {
		return key;
	}

}
